Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb3.embedded
Class UserTransactionImpl

    java.lang.Object
      org.jboss.ejb3.embedded.UserTransactionImpl

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, javax.transaction.UserTransaction

    public final class UserTransactionImpl

extends java.lang.Object
implements javax.transaction.UserTransaction, java.io.Externalizable

Comment

Version:
  $Revision: 1.1 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`protected static org.jboss.logging.Logger` | `log`

Constructor Summary
`UserTransactionImpl()`

Method Summary
`void` | `begin()`
`void` | `commit()`
`int` | `getStatus()`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `rollback()`
`void` | `setRollbackOnly()`
`void` | `setTransactionTimeout(int seconds)` Set the transaction timeout value for new transactions started by this instance.
`void` | `start()`
`void` | `stop()`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.jboss.logging.Logger log

Constructor Detail

### UserTransactionImpl

    public UserTransactionImpl()

Method Detail

### start

    public void start()

### stop

    public void stop()

### begin

    public void begin()
               throws javax.transaction.NotSupportedException,
                      javax.transaction.SystemException

  Specified by:
    `begin` in interface `javax.transaction.UserTransaction`
  Throws:
    `javax.transaction.NotSupportedException`
    `javax.transaction.SystemException`

### commit

    public void commit()
                throws javax.transaction.RollbackException,
                       javax.transaction.HeuristicMixedException,
                       javax.transaction.HeuristicRollbackException,
                       java.lang.SecurityException,
                       java.lang.IllegalStateException,
                       javax.transaction.SystemException

  Specified by:
    `commit` in interface `javax.transaction.UserTransaction`
  Throws:
    `javax.transaction.RollbackException`
    `javax.transaction.HeuristicMixedException`
    `javax.transaction.HeuristicRollbackException`
    `java.lang.SecurityException`
    `java.lang.IllegalStateException`
    `javax.transaction.SystemException`

### rollback

    public void rollback()
                  throws java.lang.IllegalStateException,
                         java.lang.SecurityException,
                         javax.transaction.SystemException

  Specified by:
    `rollback` in interface `javax.transaction.UserTransaction`
  Throws:
    `java.lang.IllegalStateException`
    `java.lang.SecurityException`
    `javax.transaction.SystemException`

### setRollbackOnly

    public void setRollbackOnly()
                         throws java.lang.IllegalStateException,
                                javax.transaction.SystemException

  Specified by:
    `setRollbackOnly` in interface `javax.transaction.UserTransaction`
  Throws:
    `java.lang.IllegalStateException`
    `javax.transaction.SystemException`

### getStatus

    public int getStatus()
                  throws javax.transaction.SystemException

  Specified by:
    `getStatus` in interface `javax.transaction.UserTransaction`
  Throws:
    `javax.transaction.SystemException`

### setTransactionTimeout

    public void setTransactionTimeout(int seconds)
                               throws javax.transaction.SystemException

  Set the transaction timeout value for new transactions started by this instance.

  Specified by:
    `setTransactionTimeout` in interface `javax.transaction.UserTransaction`
  Throws:
    `javax.transaction.SystemException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD